------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 2841 $ $Date: 2008-09-10 22:00:26 +0400 (Wed, 10 Sep 2008) $
------------------------------------------------------------------------------
with Qt4.Model_Indices;

package Qt4.Item_Selections.Constructors is

   ---------------------------------------------------------------------------
   --! <Subprogram>
   --!    <Unit> Creat
   --!    <Purpose>
   --!    <Exceptions>
   ---------------------------------------------------------------------------
   function Create (Top_Left     : in Qt4.Model_Indices.Q_Model_Index;
                    Bottom_Right : in Qt4.Model_Indices.Q_Model_Index)
     return Q_Item_Selection;

end Qt4.Item_Selections.Constructors;
